<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.homecare.behaviouralregulation.mapper.BehaviouralRegulationMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="behaviouralRegulationResultMap" type="org.springblade.homecare.behaviouralregulation.entity.BehaviouralRegulation">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="residential" property="residential"/>
        <result column="elderly" property="elderly"/>
        <result column="age" property="age"/>
        <result column="address" property="address"/>
        <result column="capture_position" property="capturePosition"/>
        <result column="capture_type" property="captureType"/>
        <result column="capture_time" property="captureTime"/>
        <result column="capture_image" property="captureImage"/>
    </resultMap>


    <select id="selectBehaviouralRegulationPage" resultMap="behaviouralRegulationResultMap">
        select * from yc_behavioural_regulation where is_deleted = 0
    </select>

</mapper>
